diff options
Diffstat (limited to 'includes')
-rw-r--r-- | includes/generic-includes.sh | 9 | ||||
-rw-r--r-- | includes/patch-includes.sh | 10 |
2 files changed, 9 insertions, 10 deletions
diff --git a/includes/generic-includes.sh b/includes/generic-includes.sh index 3cc65de..d3db9bf 100644 --- a/includes/generic-includes.sh +++ b/includes/generic-includes.sh @@ -36,6 +36,15 @@ function die exit 1 } +function diesoftly +{ + # a non-destructive die + + echo " ! The install failed; sorry." 1>&2 + + exit 1 +} + function diequietly { exit 1 diff --git a/includes/patch-includes.sh b/includes/patch-includes.sh index c9bbd30..7081e9d 100644 --- a/includes/patch-includes.sh +++ b/includes/patch-includes.sh @@ -36,13 +36,3 @@ function getpatch wget $url -O $TMPDIR/$filename || die fi } - -function die -{ - # override main die for patches so they won't wipe out - # a whole install - - echo " ! The patch install failed; sorry." 1>&2 - - exit 1 -} |